Bug 1252840 - rpm -q --info show wrong localized information
rpm -q --info show wrong localized information
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 06:44 EDT by Vasiliy Glazov
Modified: 2017-07-24 07:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-30 04:17:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2015-08-12 06:44:34 EDT
Description of problem:
Some packages contain additional Summary and Description on other languages. But it is not show by rpm -q --info command.


Version-Release number of selected component (if applicable):
rpm-4.12.0.1-12.fc22.x86_64

How reproducible:
Always.

Steps to Reproduce:
For example
1. dnf install inxi
2. rpm -qi inxi


Actual results:
Summary     : A full featured system information script
Description :
Inxi offers a wide range of built-in options, as well as a good number of extra
features which require having the script recommends installed on the system.

Expected results:
Summary(ru):    Скрипт вывода полной информации об оборудовании и системе
Description :
Inxi позволяет выводить различную информацию об используемом оборудовании и о
работе системы.

Additional info:
$ locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=
Comment 1 Ľuboš Kardoš 2015-08-21 11:38:15 EDT
I executed following commands on fresh installation of fedora-22:

# dnf install inxi
...
# dnf update rpm
...
# rpm -q rpm
rpm-4.12.0.1-12.fc22.x86_64
# export LANG=ru_RU.UTF-8
# locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=
# rpm -qi inxi
Name        : inxi
Version     : 2.2.25
Release     : 1.fc22
Architecture: noarch
Install Date: Пт 21 авг 2015 17:22:11
Group       : Unspecified
Size        : 613436
License     : GPLv3
Signature   : RSA/SHA256, Пт 19 июн 2015 23:01:09, Key ID 11adc0948e1431d5
Source RPM  : inxi-2.2.25-1.fc22.src.rpm
Build Date  : Пт 19 июн 2015 09:43:06
Build Host  : buildhw-07.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://code.google.com/p/inxi/
Summary     : Скрипт вывода полной информации об оборудовании и системе
Description :
Inxi позволяет выводить различную информацию об используемом оборудовании и о
работе системы




So I am not able to reproduce the problem. Can you better describe steps to reproduce? Is in rpm output at least date in Russian format. Are other application properly localized?
Comment 2 Vasiliy Glazov 2015-08-21 14:37:00 EDT
OK, it is not work on my F16-F17-...-F21-F22 upgraded system. But on fresh install F22 it work good.

Another behavior dnf info. I must create new bugreport on dnf and close this bug?
Comment 3 Ľuboš Kardoš 2015-08-24 04:45:11 EDT
No need for another bug now dnf takes package info from rpm but I tried it on F21-F22 upgraded system and I am still not able to reproduce it. I asked about other applications e. g. is it "ls -l" properly localized?

Do you see something like this (the word "total" is in Russian language):
$ ls -l
итого 4
-rw-------. 1 root root 1078 авг 24 09:41 anaconda-ks.cfg


or something like this:
total 4
-rw-------. 1 root root 1078 Aug 24 09:41 anaconda-ks.cfg
Comment 4 Ľuboš Kardoš 2015-10-30 04:17:56 EDT
I haven't got requested info for two months. Closing.

Note You need to log in before you can comment on or make changes to this bug.